package com.yihu.jw.entity.door;


import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 上门服务开方服务工单价格明细
 * @author humingfen on  2019年07月24日
 */
@Entity
@Table(name = "wlyy_door_prescription_detail")
@SequenceGenerator(name="id_generated", sequenceName="wlyy_door_prescription_detail")
public class WlyyDoorPrescriptionDetailDO extends IntegerIdentityEntity {

    private String code;
    private String prescriptionCode;//关联wlyy_door_prescription code
    private Integer type;//费用类型，1-服务项费用
    private String itemCode;//处方服务项code
    private String itemName;//开方服务项名称
    private BigDecimal fee;//总费用
    private Integer num;//数量
    private Integer status;//状态，1有效 0删除
    private Date createTime;//创建时间

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPrescriptionCode() {
        return prescriptionCode;
    }

    public void setPrescriptionCode(String prescriptionCode) {
        this.prescriptionCode = prescriptionCode;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    @Column(name = "fee")
    public BigDecimal getFee() {
        return fee;
    }
    public void setFee(BigDecimal fee) {
        this.fee = fee;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
